Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP

Loading…

Zend\Filter\Compress\Bz2 and Gz should be fully PHP >= 5.4 compatible #5788

Closed
wdJer opened this Issue · 0 comments

2 participants

@wdJer

Currently it's not possible to decompress, without any Warning, with Zend\Filter\Compress\Bz2 or Zend\Filter\Compress\Gz and direct string input in PHP >= 5.4
In the tests of both classes the testcase testBasicUsage has a incomplete marker for PHP >= 5.4

PHP WARNING: file_exists() expects parameter 1 to be a valid path, string given

@Maks3w Maks3w closed this in 0db3f62
@Maks3w Maks3w added the Filter label
@Maks3w Maks3w added this to the 2.2.6 milestone
@gianarb gianarb referenced this issue from a commit in zendframework/zend-filter
@Maks3w Maks3w Merge pull request zendframework/zf2#5839. Fix zendframework/zf2#5788 a37f906
@gianarb gianarb referenced this issue from a commit in zendframework/zend-filter
@Maks3w Maks3w Merge pull request zendframework/zf2#5839. Fix zendframework/zf2#5788
…in develop
6d9fbe4
@gianarb gianarb referenced this issue from a commit in zendframework/zend-filter
@Maks3w Maks3w Merge pull request zendframework/zf2#5839. Fix zendframework/zf2#5788
…in master
477bd0b
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Something went wrong with that request. Please try again.